ObjectPtrT< T > Class Template Reference

smart pointer to a Object descendant More...

Inherits ObjectPtrBase.

## Public Member Functions

| ObjectPtrT (const int &null)
| ObjectPtrT ()
| ObjectPtrT (T *p1)
| ObjectPtrT (const ObjectPtrT &p1)
| ObjectPtrT (const ObjectPtrBase &p1)
| ObjectPtrT (ObjectPtrBase &p1)
| ~ObjectPtrT ()
ObjectPtrT & | operator= (const ObjectPtrT &p1)
ObjectPtrT & | operator= (const int &null)
ObjectPtrT & | operator= (T *p1)
ObjectPtrT & | operator= (ObjectPtrBase &p1)
ObjectPtrT & | operator= (const ObjectPtrBase &p1)
bool | operator== (const ObjectPtrT &p1) const
bool | operator!= (const ObjectPtrT &p1) const
bool | operator< (const ObjectPtrT &p1) const
bool | operator== (const T *p1) const
bool | operator!= (const T *p1) const
bool | operator< (const T *p1) const
T * | operator-> () const
T & | operator* () const
| operator T * () const
Public Member Functions inherited from ObjectPtrBase
| ObjectPtrBase ()
virtual | ~ObjectPtrBase ()

## Additional Inherited Members

Static Public Member Functions inherited from ObjectPtrBase
static void | checkNull (const int &null)
static void * | exchange (void **destination, void *newValue)

## Detailed Description

### template<typename T>
class log4cxx::helpers::ObjectPtrT< T >

smart pointer to a Object descendant

## Constructor & Destructor Documentation

ObjectPtrT | ( | const int & | null | ) |

inline

ObjectPtrT | ( |  | ) |

inline

ObjectPtrT | ( | T * | p1 | ) |

inline

ObjectPtrT | ( | const ObjectPtrT< T > & | p1 | ) |

inline

ObjectPtrT | ( | const ObjectPtrBase & | p1 | ) |

inline

ObjectPtrT | ( | ObjectPtrBase & | p1 | ) |

inline

~ObjectPtrT | ( |  | ) |

inline

## Member Function Documentation

operator T * | ( |  | ) | const

inline

bool operator!= | ( | const ObjectPtrT< T > & | p1 | ) | const

inline

bool operator!= | ( | const T * | p1 | ) | const

inline

T& operator* | ( |  | ) | const

inline

T* operator-> | ( |  | ) | const

inline

bool operator< | ( | const ObjectPtrT< T > & | p1 | ) | const

inline

bool operator< | ( | const T * | p1 | ) | const

inline

ObjectPtrT& operator= | ( | const ObjectPtrT< T > & | p1 | ) |

inline

ObjectPtrT& operator= | ( | const int & | null | ) |

inline

ObjectPtrT& operator= | ( | T * | p1 | ) |

inline

ObjectPtrT& operator= | ( | ObjectPtrBase & | p1 | ) |

inline

ObjectPtrT& operator= | ( | const ObjectPtrBase & | p1 | ) |

inline

bool operator== | ( | const ObjectPtrT< T > & | p1 | ) | const

inline

bool operator== | ( | const T * | p1 | ) | const

inline

The documentation for this class was generated from the following file:

- objectptr.h